
Smart Proxy - Feature #1172

MS dhcp proxy does not know about leases

09/18/2011 07:54 AM - Ohad Levy

Status: Closed   

Priority: Normal   

Assignee: Paul Kelly   

Category: DHCP   

Target version: 1.13.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/smart-pro

xy/pull/437

  

Description

currently, the proxy only query for reservations, ignoring all leases.

Related issues:

Related to Smart Proxy - Bug #4148: Unable to delete DHCP reservations on MS ... Resolved 01/21/2014

Has duplicate Foreman - Bug #4149: Suggested IPs when working with DHCP serve... Duplicate 01/21/2014

Associated revisions

Revision a832ac28 - 06/28/2016 07:41 AM - Paul Kelly

fixes #1172 - proxy should return leases and reservations

History

#1 - 09/18/2011 08:03 AM - Ohad Levy

we can simply use show clients 1

this will list both leases and reservations in one go.

#2 - 10/31/2011 09:32 PM - Corey Osman

- File Screen_Shot_2011-10-31_at_6.28.10_PM.png added

The attached pictures shows the list of available options when using the following:

netsh dhcp server 192.168.1.1 scope 192.168.1.0  show clients

#3 - 04/29/2013 07:52 AM - Ohad Levy

- Category set to DHCP

- Assignee set to Paul Kelly

- Target version set to 26

#4 - 05/10/2013 09:07 AM - Dominic Cleal

- Target version changed from 26 to 1.2.0

#5 - 05/11/2013 07:51 AM - Ohad Levy

- Status changed from New to Feedback

https://github.com/theforeman/smart-proxy/pull/76

#6 - 06/24/2013 03:52 AM - Dominic Cleal

- Target version changed from 1.2.0 to 1.3.0

#7 - 09/16/2013 11:48 AM - Lukas Zapletal
https://github.com/theforeman/smart-proxy/pull/76


- Target version deleted (1.3.0)

#8 - 01/30/2014 02:41 PM - Dominic Cleal

- Has duplicate Bug #4149: Suggested IPs when working with DHCP server are leased added

#9 - 01/30/2014 04:30 PM - Oscar Vidakovic

I've seen the git pull is tested and ready to merge to the foreman branch for 5 months, waiting for Paul Kelly actions. Do you know it he's going to the

them? Is there any way to acelerate the process?

#10 - 01/30/2014 07:40 PM - Ohad Levy

Oscar Vidakovic wrote:

I've seen the git pull is tested and ready to merge to the foreman branch for 5 months, waiting for Paul Kelly actions. Do you know it he's going to

the them? Is there any way to acelerate the process?

 You can always try email :)

#11 - 01/31/2014 03:34 PM - Paul Kelly

Sorry folks. I am not dead. :-)

I have been doing other things and just forgot about this. I will try and find time to merge this old commit onto the new code base. That should be easy

after 9 months :-(

#12 - 03/07/2014 08:40 AM - Dominic Cleal

- Related to Bug #4148: Unable to delete DHCP reservations on MS DCHP servers added

#13 - 06/17/2016 08:25 AM - The Foreman Bot

- Status changed from Feedback to Ready For Testing

- Pull request https://github.com/theforeman/smart-proxy/pull/437 added

#14 - 06/28/2016 08:02 AM - Paul Kelly

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset a832ac2855e235ddb47859f475fd77dd6a74276b.

#15 - 06/28/2016 08:03 AM - Dominic Cleal

- translation missing: en.field_release set to 160
